<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1DualQuaternion.html">DualQuaternion</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::DualQuaternion Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a80edaf9534e9738f6125ecec0e30ca61">DualQuaternion</a>()</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a845da9e63d380d8b71ea6f740b7fd4a1">DualQuaternion</a>(Real fW, Real fX, Real fY, Real fZ, Real fdW, Real fdX, Real fdY, Real fdZ)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a433f730b581493a9358c5b542a0bffd2">DualQuaternion</a>(const Matrix4 &amp;rot)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a10574bf89fef9fc12fac5ed4e8085f71">DualQuaternion</a>(const Quaternion &amp;q, const Vector3 &amp;trans)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a303afd76b65bd34a28accdb6eb0c024c">DualQuaternion</a>(Real *valptr)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#aef3bbc49149643d5bfc3dbde4064dde3">dw</a></td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a488ce81a7866d481169647cff04dc17c">dx</a></td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a123fbf0958bccd9f5381d6f124d0586e">dy</a></td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#acfec8064c128940237fe204e7b0e9f99">dz</a></td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#ad753b864d41eab164118718b27a46425">fromRotationTranslation</a>(const Quaternion &amp;q, const Vector3 &amp;trans)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a5858fa3beebd2b6a43aabe38e31058f6">fromTransformationMatrix</a>(const Matrix4 &amp;kTrans)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a7f1028534850e2429921f421ecf69fe5">isNaN</a>() const </td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a78c52f496197e1dd2fabce71e7684170">operator!=</a>(const DualQuaternion &amp;rhs) const </td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#aa7459724aaeaf956e29b08dad3986c39">operator&lt;&lt;</a>(std::ostream &amp;o, const DualQuaternion &amp;q)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a410cb35a3ac7a805f4628c9e62ad46f9">operator=</a>(const DualQuaternion &amp;rkQ)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a86d06821d6faba9a8fce263605572e6f">operator==</a>(const DualQuaternion &amp;rhs) const </td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#ad09ca2a40495a5ce79ab74738ce4005d">operator[]</a>(const size_t i) const </td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#af666d1865aa8b3467648b96e8c597217">operator[]</a>(const size_t i)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a61d7206748dafb2a32a0a0bf1889f74d">ptr</a>()</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a2085657bf1f813c4dd0dcf961059244a">ptr</a>() const </td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a80c92016a8442946a264b8c13ba9f300">swap</a>(DualQuaternion &amp;other)</td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#afe1f97cc186b3bcd9f7bf42c7143d924">toRotationTranslation</a>(Quaternion &amp;q, Vector3 &amp;translation) const </td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a892a4ba63fc8fb417ece235d9fecfb6b">toTransformationMatrix</a>(Matrix4 &amp;kTrans) const </td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a4e1b52752fb889035e68f893f2a246c6">w</a></td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a1afbb66b83f2085f452bb663ceafc9dc">x</a></td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#a43375b322ae7a0b7f5d03318bfa33f17">y</a></td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DualQuaternion.html#aca62cb2fb2eeab0637b35bc920a7cae4">z</a></td><td><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
